using System.Configuration;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using TechTalk.SpecFlow;
using Calculator_SeleniumHQ.AcceptanceTests.StepHelpers;
using OpenQA.Selenium;
using OpenQA.Selenium.Chrome;
using OpenQA.Selenium.Support.UI;

namespace Calculator_SeleniumHQ.AcceptanceTests.SharedSteps
{
    [Binding]
    public class Authentication
    {
        [Given(@"the user role is simple")]
        public void TheUserRoleIsSimple()
        {
            WebBrowser.Current.Navigate().GoToUrl(ConfigurationManager.AppSettings["LocalDebug"] + "?role=simple");
        }

        [Given(@"the user role is advance")]
        public void TheUserRoleIsAdvance()
        {
            WebBrowser.Current.Navigate().GoToUrl(ConfigurationManager.AppSettings["LocalDebug"] + "?role=advance");
        }
    }
}
